RHEL 6 : nagios (RHSA-2017:0259)

High Nessus Plugin ID 97061


The remote Red Hat host is missing one or more security updates.


An update for nagios is now available for Red Hat Gluster Storage 3.1 for RHEL 6.

Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

Nagios is a program that monitors hosts and services on your network, and has the ability to send email or page alerts when a problem arises or is resolved.

Security Fix(es) :

* It was found that an attacker who could control the content of an RSS feed could execute code remotely using the Nagios web interface.
This flaw could be used to gain access to the remote system and in some scenarios control over the system. (CVE-2016-9565)

* A privilege escalation flaw was found in the way Nagios handled log files. An attacker able to control the Nagios logging configuration (the 'nagios' user/group) could use this flaw to elevate their privileges to root. (CVE-2016-9566)


Update the affected nagios, nagios-common and / or nagios-devel packages.

See Also




Plugin Details

Severity: High

ID: 97061

File Name: redhat-RHSA-2017-0259.nasl

Version: $Revision: 3.2 $

Type: local

Agent: unix

Published: 2017/02/08

Modified: 2017/02/10

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C


Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:nagios, p-cpe:/a:redhat:enterprise_linux:nagios-common, p-cpe:/a:redhat:enterprise_linux:nagios-devel, cpe:/o:redhat:enterprise_linux:6

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2017/02/07

Reference Information

CVE: CVE-2016-9565, CVE-2016-9566

OSVDB: 49261, 148437

RHSA: 2017:0259